---
title: FileSystem.name
slug: Web/API/FileSystem/name
tags:
  - API
  - File System API
  - File and Directory Entries API
  - Files
  - NeedsExample
  - Non-standard
  - Property
  - Reference
  - filesystem
  - name
---
<p>{{APIRef("File System API")}}{{SeeCompatTable}}</p>

<p>The read-only <strong><code>name</code></strong> property of the {{domxref("FileSystem")}} interface indicates the file system's name. This {{domxref("USVString")}} is unique among all file systems currently exposed by the <a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>fsName</em> = <em>FileSystem</em>.name;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} representing the file system's name.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// tbd
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('File System API', '#dom-filesystem-name', 'name') }}</td>
   <td>{{ Spec2('File System API') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystem.name")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("FileSystem")}}</li>
</ul>
